#### Makefile for M2000 Unix/X
# Following #defines can be used:
# UNIX_X		Compile Unix/X version
# DEBUG			Compile with builtin debugger
# LSB_FIRST		Compile for a low-endian machine
# __64BIT__		Compile for 64 bit machines
# X86_ASM		Use inline 80x86 assembly
# HAVE_FTRUNCATE	We have ftruncate()
# HAVE_CLOCK		clock() is available on this machine
# JOYSTICK		Use Linux joystick driver
# SOUND			Use USS(/Lite) sound driver
# MITSHM		Use MIT shared memory extensions for X

CC	= gcc	# C compiler used
LD	= gcc	# Linker used

CFLAGS	= -Wall -O3 -fomit-frame-pointer -I/usr/X11R6/include \
	  -DLSB_FIRST -DHAVE_FTRUNCATE -DHAVE_CLOCK -DUNIX_X \
	  -DSOUND -DMITSHM

LFLAGS	= -s -L/usr/X11R6/lib

OBJECTS	= M2000.o P2000.o Z80.o CodeCB.o CodeDD.o CodeED.o CodeFD.o \
	  X.o Unix.o Debug.o

all:	m2000 fontc splitape

m2000:	$(OBJECTS)
	$(LD) $(LFLAGS) -o m2000 $(OBJECTS) -lXext -lX11
fontc:	fontc.o
	$(LD) $(LFLAGS) -o fontc fontc.o
splitape: splitape.o
	$(LD) $(LFLAGS) -o splitape splitape.o

M2000.o:    M2000.c P2000.h Z80.h Help.h Z80IO.h
P2000.o:    P2000.c P2000.h Z80.h Z80IO.h
Debug.o:    Debug.c Z80.h Z80IO.h
CodeCB.o:   CodeCB.c Z80.h Z80Codes.h Z80IO.h
CodeDD.o:   CodeDD.c CodeXX.c Z80.h Z80Codes.h Z80IO.h
CodeED.o:   CodeED.c Z80.h Z80Codes.h Z80IO.h
CodeFD.o:   CodeFD.c CodeXX.c Z80.h Z80Codes.h Z80IO.h
Z80.o:      Z80.c Z80.h Z80Codes.h Z80IO.h
X.o:        X.c Common.h P2000.h Z80.h Z80IO.h Unix.h
Unix.o:     Unix.c P2000.h Z80.h Z80IO.h Unix.h
fontc.o:    fontc.c
splitape.o: splitape.c
